@import './reset.css';

body {
    font-family: system-ui, sans-serif;
    display: grid;
    justify-content: center;
    align-items: center;
    color: #ff7700;
    height: 100vh;
}

.grid-container {
    display: grid;
    border: 15px solid #3e3e3e;
    grid-template-columns: 80px 30px 80px 60px 60px 90px 90px;
    grid-template-rows: 60px repeat(2, 130px) repeat(2, 60px) repeat(3, 65px);
    grid-gap: 8px;
    background-color: #3e3e3e;
}

.grid-item {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: bold;
}

.grid-item-1,
.grid-item-2,
.grid-item-4,
.grid-item-5,
.grid-item-8,
.grid-item-9,
.grid-item-10,
.grid-item-12,
.grid-item-13,
.grid-item-15,
.grid-item-16,
.grid-item-17,
.grid-item-21,
.grid-item-22 {
    background-color: #ffffff;
}

.grid-item-3,
.grid-item-11,
.grid-item-18,
.grid-item-23 {
    background-color: #000000;
}

.grid-item-6,
.grid-item-20 {
    background-color: #0d7fbe;
}

.grid-item-7,
.grid-item-19,
.grid-item-24 {
    background-color: #fae317;
}

.grid-item-16 {
    background-color: #f50f0f;
}

.grid-item-1,
.grid-item-7,
.grid-item-12,
.grid-item-13,
.grid-item-16,
.grid-item-15,
.grid-item-18,
.grid-item-19,
.grid-item-22 {
    grid-column: span 2;
}

.grid-item-2 {
    grid-column: span 3;
}

.grid-item-8 {
    grid-row: span 2;
}

.grid-item-14 {
    grid-row: span 3;
    background-color: #fae317;
}

.grid-item-6 {
    grid-column: span 4;
    grid-row: span 2;
}

.grid-item-11,
.grid-item-16,
.grid-item-17,
.grid-item-20 {
    grid-column: span 2;
    grid-row: span 2;
}
